Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class ExceptionEvent

    java.lang.Object
      com.sleepycat.je.ExceptionEvent

    public class ExceptionEvent

extends Object

A class representing an exception event. Contains an exception and the name of the daemon thread that it was thrown from.

Constructor Summary
`ExceptionEvent()`

Method Summary
`Exception` `getException()` Returns the exception in the event.
`String` `getThreadName()` Returns the name of the daemon thread that threw the exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionEvent

    public ExceptionEvent()

Method Detail

### getException

    public Exception getException()

  Returns the exception in the event.

### getThreadName

    public String getThreadName()

  Returns the name of the daemon thread that threw the exception.

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.